2010年6月26日 星期六

BetaRadio v1.0 網路廣播點播器 正式釋出

BetaRadio 因為 hichannel 網頁不斷地改版,最後碰到了 libmms 這個函式庫的一個 bug 所以專案就一直呈現死掉的狀態;不過最近終於有時間能夠找出 libmms 的 bug 並且修正,所以才能夠再次地讓這個純 C 語言寫出來的網路廣播點播器復活。

Source code tarball 可以在 http://code.google.com/p/betaradio/downloads/list 下載
相依一個特別的函式庫 json-cat 可以在 http://github.com/fourdollars/json-cat/downloads 下載 Source code tarball

另外就是特別為 Ubuntu 10.04 使用者準備好一個 PPA 可以馬上裝起來就可以使用了。

GUI 安裝方式 [系統]->[管理]->[軟體來源] 裡面的 [其它軟體] 點擊 [加入] 後輸入
ppa:fourdollars/lucid
然後關閉 [軟體來源] 選擇 [重新載入] 
再打開 [系統]->[管理]->[Synaptic套件管理程式] 搜尋 betaradio 就可以找到來安裝了

或是可以使用命令列輸入來安裝
$ sudo apt-add-repository ppa:fourdollars/lucid
$ sudo apt-get update
$ sudo apt-get install betaradio
安裝完就可以在 [應用程式]->[影音] 裡面看到 "BetaRadio 點播器" 點一下就可以使用了~ :)

6 則留言:

swyear 提到...

四元兄:
json-cat 要怎麼用可以說明一下嗎?
(要先安裝?)

FourDollars 提到...

是的~ 它是一個函式庫要先打包安裝~
就到 http://github.com/fourdollars/json-cat/downloads 下載 v0.1 的 tgz 解開後
執行 autoreconf -ifs 接下來就是 ./configure && make install 了~
使用前要先安裝 autoconf, automake, libtool, pkg-config

FourDollars 提到...

另外它相依了 json-glib-1.0 >= 0.7.6, libsoup-2.4 >= 2.26 抱歉沒有寫在 README.md 裡面~ 也許更低的版本也可以~

FourDollars 提到...

另外我對 libmms 所做的 patch 在 http://launchpadlibrarian.net/50681054/libmms_0.4-2_0.4-2fourdollars1.diff.gz 的 libmms-0.4/debian/patches/12_http_support.diff 裡面

jeul 提到...

感謝!
我試了可以用,不過最後光是 sudo apt-get install betaradio 還不夠,還要更新 libmms0 到 0.4-2fourdollars1

FourDollars 提到...

抱歉這次有一些小細節沒有處理好~ 以後會改善~